# Toast/Banner

* [Bubble.io Plugin](#bubble.io-plugin)
* [JavaScript SDK](#javascript-sdk)

### 🧋 Bubble.io Plugin

#### \[Action] Natively - Show Toast

* Text
* Type - DEFAULT, DARK, ERROR, SUCCESS, WARNING, or MATRIX

#### \[Action] Natively - Show Banner

* Title
* Description
* Type - SUCCESS, ERROR, or INFO

### 🛠 JavaScript SDK

#### Show App Toast

{% code overflow="wrap" lineNumbers="true" %}

```javascript
const type = "DEFAULT"; // DEFAULT, DARK, ERROR, SUCCESS, WARNING, or MATRIX
const text = "Test text";
window.natively.showAppToast(type, text);
```

{% endcode %}

#### Show App Banner

```javascript
const type = "SUCCESS"; // SUCCESS, ERROR, or INFO
const title = "Test Title";
const description = "Test Description";
window.natively.showAppBanner(type, title, description);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.buildnatively.com/guides/integration/toast-banner.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
